## org.eclipse.m2m.atl.dsls.tcs.injector
Class ATL_ANTLR3Lexer

    java.lang.Object
      org.antlr.runtime.BaseRecognizer
          org.antlr.runtime.Lexer
              org.eclipse.m2m.atl.dsls.tcs.injector.ATL_ANTLR3Lexer

All Implemented Interfaces:
  org.antlr.runtime.TokenSource

    public class ATL_ANTLR3Lexer

extends org.antlr.runtime.Lexer

Field Summary
`static int` `ALPHA`
`static int` `AROBAS`
`static int` `ASSIGNARROW`
`static int` `COLON`
`static int` `COMA`
`static int` `COMMENT`
`protected org.eclipse.m2m.atl.dsls.tcs.injector.ATL_ANTLR3Lexer.DFA17` `dfa17`
`static int` `DIGIT`
`TCSRuntime` `ei`
`static int` `EOF`
`static int` `EQ`
`static int` `ESC`
`static int` `EXCL`
`static int` `FLOAT`
`static int` `GE`
`static int` `GT`
`static int` `INT`
`static int` `LARROW`
`static int` `LCURLY`
`static int` `LE`
`static int` `LPAREN`
`static int` `LSQUARE`
`static int` `LT`
`static int` `MINUS`
`static int` `NAME`
`static int` `NE`
`static int` `NL`
`static int` `PIPE`
`static int` `PLUS`
`static int` `POINT`
`static int` `QMARK`
`static int` `RARROW`
`static int` `RCURLY`
`static int` `RPAREN`
`static int` `RSQUARE`
`static int` `SEMI`
`static int` `SHARP`
`static int` `SLASH`
`static int` `SNAME`
`static int` `STAR`
`static int` `STRING`
`static int` `T43`
`static int` `T44`
`static int` `T45`
`static int` `T46`
`static int` `T47`
`static int` `T48`
`static int` `T49`
`static int` `T50`
`static int` `T51`
`static int` `T52`
`static int` `T53`
`static int` `T54`
`static int` `T55`
`static int` `T56`
`static int` `T57`
`static int` `T58`
`static int` `T59`
`static int` `T60`
`static int` `T61`
`static int` `T62`
`static int` `T63`
`static int` `T64`
`static int` `T65`
`static int` `T66`
`static int` `T67`
`static int` `T68`
`static int` `T69`
`static int` `T70`
`static int` `T71`
`static int` `T72`
`static int` `T73`
`static int` `T74`
`static int` `T75`
`static int` `T76`
`static int` `T77`
`static int` `T78`
`static int` `T79`
`static int` `T80`
`static int` `T81`
`static int` `T82`
`static int` `T83`
`static int` `T84`
`static int` `T85`
`static int` `T86`
`static int` `T87`
`static int` `T88`
`static int` `T89`
`static int` `T90`
`static int` `T91`
`static int` `T92`
`static int` `T93`
`static int` `T94`
`static int` `T95`
`static int` `T96`
`static int` `T97`
`static int` `T98`
`static int` `T99`
`static int` `Tokens`
`static int` `WS`

Fields inherited from class org.antlr.runtime.Lexer
`channel, input, text, token, tokenStartCharIndex, tokenStartCharPositionInLine, tokenStartLine, type`

Fields inherited from class org.antlr.runtime.BaseRecognizer
`_fsp, backtracking, DEFAULT_TOKEN_CHANNEL, errorRecovery, failed, following, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, lastErrorIndex, MEMO_RULE_FAILED, MEMO_RULE_FAILED_I, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, ruleMemo`

Constructor Summary
`ATL_ANTLR3Lexer()`
`ATL_ANTLR3Lexer(org.antlr.runtime.CharStream input)`

Method Summary
`void` `displayRecognitionError(java.lang.String[] tokenNames, org.antlr.runtime.RecognitionException e)`
`org.antlr.runtime.Token` `emit()`
`java.lang.String` `getGrammarFileName()`
`void` `mALPHA()`
`void` `mAROBAS()`
`void` `mASSIGNARROW()`
`void` `mCOLON()`
`void` `mCOMA()`
`void` `mCOMMENT()`
`void` `mDIGIT()`
`void` `mEQ()`
`void` `mESC()`
`void` `mEXCL()`
`void` `mFLOAT()`
`void` `mGE()`
`void` `mGT()`
`void` `mINT()`
`void` `mLARROW()`
`void` `mLCURLY()`
`void` `mLE()`
`void` `mLPAREN()`
`void` `mLSQUARE()`
`void` `mLT()`
`void` `mMINUS()`
`void` `mNAME()`
`void` `mNE()`
`void` `mNL()`
`void` `mPIPE()`
`void` `mPLUS()`
`void` `mPOINT()`
`void` `mQMARK()`
`void` `mRARROW()`
`void` `mRCURLY()`
`void` `mRPAREN()`
`void` `mRSQUARE()`
`void` `mSEMI()`
`void` `mSHARP()`
`void` `mSLASH()`
`void` `mSNAME()`
`void` `mSTAR()`
`void` `mSTRING()`
`void` `mT43()`
`void` `mT44()`
`void` `mT45()`
`void` `mT46()`
`void` `mT47()`
`void` `mT48()`
`void` `mT49()`
`void` `mT50()`
`void` `mT51()`
`void` `mT52()`
`void` `mT53()`
`void` `mT54()`
`void` `mT55()`
`void` `mT56()`
`void` `mT57()`
`void` `mT58()`
`void` `mT59()`
`void` `mT60()`
`void` `mT61()`
`void` `mT62()`
`void` `mT63()`
`void` `mT64()`
`void` `mT65()`
`void` `mT66()`
`void` `mT67()`
`void` `mT68()`
`void` `mT69()`
`void` `mT70()`
`void` `mT71()`
`void` `mT72()`
`void` `mT73()`
`void` `mT74()`
`void` `mT75()`
`void` `mT76()`
`void` `mT77()`
`void` `mT78()`
`void` `mT79()`
`void` `mT80()`
`void` `mT81()`
`void` `mT82()`
`void` `mT83()`
`void` `mT84()`
`void` `mT85()`
`void` `mT86()`
`void` `mT87()`
`void` `mT88()`
`void` `mT89()`
`void` `mT90()`
`void` `mT91()`
`void` `mT92()`
`void` `mT93()`
`void` `mT94()`
`void` `mT95()`
`void` `mT96()`
`void` `mT97()`
`void` `mT98()`
`void` `mT99()`
`void` `mTokens()`
`void` `mWS()`
`void` `synpred1_fragment()`
`boolean` `synpred1()`

Methods inherited from class org.antlr.runtime.Lexer
`emit, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getErrorMessage, getLine, getText, match, match, matchAny, matchRange, nextToken, recover, reportError, reset, setCharStream, setText, skip, traceIn, traceOut`

Methods inherited from class org.antlr.runtime.BaseRecognizer

`alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, emitErrorMessage, endResync, getBacktrackingLevel, getErrorHeader, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, getTokenNames, match, matchAny, memoize, mismatch, pushFollow, recover, recoverFromMismatchedElement, recoverFromMismatchedSet, recoverFromMismatchedToken, toStrings, traceIn, traceOut`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LT

    public static final int LT

See Also:
  Constant Field Values

### STAR

    public static final int STAR

See Also:
  Constant Field Values

### LSQUARE

    public static final int LSQUARE

See Also:
  Constant Field Values

### EXCL

    public static final int EXCL

See Also:
  Constant Field Values

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### RPAREN

    public static final int RPAREN

See Also:
  Constant Field Values

### NAME

    public static final int NAME

See Also:
  Constant Field Values

### NL

    public static final int NL

See Also:
  Constant Field Values

### EQ

    public static final int EQ

See Also:
  Constant Field Values

### COMMENT

    public static final int COMMENT

See Also:
  Constant Field Values

### NE

    public static final int NE

See Also:
  Constant Field Values

### GE

    public static final int GE

See Also:
  Constant Field Values

### ASSIGNARROW

    public static final int ASSIGNARROW

See Also:
  Constant Field Values

### SHARP

    public static final int SHARP

See Also:
  Constant Field Values

### T49

    public static final int T49

See Also:
  Constant Field Values

### LCURLY

    public static final int LCURLY

See Also:
  Constant Field Values

### T48

    public static final int T48

See Also:
  Constant Field Values

### INT

    public static final int INT

See Also:
  Constant Field Values

### T43

    public static final int T43

See Also:
  Constant Field Values

### T47

    public static final int T47

See Also:
  Constant Field Values

### ALPHA

    public static final int ALPHA

See Also:
  Constant Field Values

### T46

    public static final int T46

See Also:
  Constant Field Values

### T45

    public static final int T45

See Also:
  Constant Field Values

### T44

    public static final int T44

See Also:
  Constant Field Values

### WS

    public static final int WS

See Also:
  Constant Field Values

### SNAME

    public static final int SNAME

See Also:
  Constant Field Values

### T50

    public static final int T50

See Also:
  Constant Field Values

### T59

    public static final int T59

See Also:
  Constant Field Values

### GT

    public static final int GT

See Also:
  Constant Field Values

### T52

    public static final int T52

See Also:
  Constant Field Values

### T51

    public static final int T51

See Also:
  Constant Field Values

### T54

    public static final int T54

See Also:
  Constant Field Values

### QMARK

    public static final int QMARK

See Also:
  Constant Field Values

### T53

    public static final int T53

See Also:
  Constant Field Values

### T56

    public static final int T56

See Also:
  Constant Field Values

### T55

    public static final int T55

See Also:
  Constant Field Values

### T58

    public static final int T58

See Also:
  Constant Field Values

### T57

    public static final int T57

See Also:
  Constant Field Values

### T75

    public static final int T75

See Also:
  Constant Field Values

### T76

    public static final int T76

See Also:
  Constant Field Values

### T73

    public static final int T73

See Also:
  Constant Field Values

### T74

    public static final int T74

See Also:
  Constant Field Values

### T79

    public static final int T79

See Also:
  Constant Field Values

### T77

    public static final int T77

See Also:
  Constant Field Values

### T78

    public static final int T78

See Also:
  Constant Field Values

### POINT

    public static final int POINT

See Also:
  Constant Field Values

### AROBAS

    public static final int AROBAS

See Also:
  Constant Field Values

### ESC

    public static final int ESC

See Also:
  Constant Field Values

### LARROW

    public static final int LARROW

See Also:
  Constant Field Values

### FLOAT

    public static final int FLOAT

See Also:
  Constant Field Values

### T72

    public static final int T72

See Also:
  Constant Field Values

### LPAREN

    public static final int LPAREN

See Also:
  Constant Field Values

### T71

    public static final int T71

See Also:
  Constant Field Values

### T70

    public static final int T70

See Also:
  Constant Field Values

### T62

    public static final int T62

See Also:
  Constant Field Values

### T63

    public static final int T63

See Also:
  Constant Field Values

### T64

    public static final int T64

See Also:
  Constant Field Values

### T65

    public static final int T65

See Also:
  Constant Field Values

### SLASH

    public static final int SLASH

See Also:
  Constant Field Values

### T66

    public static final int T66

See Also:
  Constant Field Values

### T67

    public static final int T67

See Also:
  Constant Field Values

### T68

    public static final int T68

See Also:
  Constant Field Values

### T69

    public static final int T69

See Also:
  Constant Field Values

### PIPE

    public static final int PIPE

See Also:
  Constant Field Values

### PLUS

    public static final int PLUS

See Also:
  Constant Field Values

### DIGIT

    public static final int DIGIT

See Also:
  Constant Field Values

### T61

    public static final int T61

See Also:
  Constant Field Values

### T60

    public static final int T60

See Also:
  Constant Field Values

### T99

    public static final int T99

See Also:
  Constant Field Values

### T97

    public static final int T97

See Also:
  Constant Field Values

### T98

    public static final int T98

See Also:
  Constant Field Values

### T95

    public static final int T95

See Also:
  Constant Field Values

### T96

    public static final int T96

See Also:
  Constant Field Values

### RARROW

    public static final int RARROW

See Also:
  Constant Field Values

### MINUS

    public static final int MINUS

See Also:
  Constant Field Values

### RSQUARE

    public static final int RSQUARE

See Also:
  Constant Field Values

### T94

    public static final int T94

See Also:
  Constant Field Values

### Tokens

    public static final int Tokens

See Also:
  Constant Field Values

### T93

    public static final int T93

See Also:
  Constant Field Values

### COMA

    public static final int COMA

See Also:
  Constant Field Values

### T92

    public static final int T92

See Also:
  Constant Field Values

### SEMI

    public static final int SEMI

See Also:
  Constant Field Values

### T91

    public static final int T91

See Also:
  Constant Field Values

### T90

    public static final int T90

See Also:
  Constant Field Values

### COLON

    public static final int COLON

See Also:
  Constant Field Values

### T88

    public static final int T88

See Also:
  Constant Field Values

### T89

    public static final int T89

See Also:
  Constant Field Values

### T84

    public static final int T84

See Also:
  Constant Field Values

### T85

    public static final int T85

See Also:
  Constant Field Values

### T86

    public static final int T86

See Also:
  Constant Field Values

### T87

    public static final int T87

See Also:
  Constant Field Values

### RCURLY

    public static final int RCURLY

See Also:
  Constant Field Values

### T81

    public static final int T81

See Also:
  Constant Field Values

### T80

    public static final int T80

See Also:
  Constant Field Values

### T83

    public static final int T83

See Also:
  Constant Field Values

### T82

    public static final int T82

See Also:
  Constant Field Values

### LE

    public static final int LE

See Also:
  Constant Field Values

### STRING

    public static final int STRING

See Also:
  Constant Field Values

### ei

    public TCSRuntime ei

### dfa17

    protected org.eclipse.m2m.atl.dsls.tcs.injector.ATL_ANTLR3Lexer.DFA17 dfa17

Constructor Detail

### ATL_ANTLR3Lexer

    public ATL_ANTLR3Lexer()

### ATL_ANTLR3Lexer

    public ATL_ANTLR3Lexer(org.antlr.runtime.CharStream input)

Method Detail

### displayRecognitionError

    public void displayRecognitionError(java.lang.String[] tokenNames,
                                        org.antlr.runtime.RecognitionException e)

  Overrides:
    `displayRecognitionError` in class `org.antlr.runtime.BaseRecognizer`

### emit

    public org.antlr.runtime.Token emit()

  Overrides:
    `emit` in class `org.antlr.runtime.Lexer`

### getGrammarFileName

    public java.lang.String getGrammarFileName()

  Overrides:
    `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

### mT43

    public final void mT43()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT44

    public final void mT44()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT45

    public final void mT45()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT46

    public final void mT46()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT47

    public final void mT47()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT48

    public final void mT48()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT49

    public final void mT49()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT50

    public final void mT50()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT51

    public final void mT51()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT52

    public final void mT52()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT53

    public final void mT53()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT54

    public final void mT54()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT55

    public final void mT55()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT56

    public final void mT56()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT57

    public final void mT57()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT58

    public final void mT58()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT59

    public final void mT59()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT60

    public final void mT60()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT61

    public final void mT61()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT62

    public final void mT62()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT63

    public final void mT63()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT64

    public final void mT64()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT65

    public final void mT65()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT66

    public final void mT66()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT67

    public final void mT67()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT68

    public final void mT68()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT69

    public final void mT69()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT70

    public final void mT70()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT71

    public final void mT71()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT72

    public final void mT72()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT73

    public final void mT73()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT74

    public final void mT74()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT75

    public final void mT75()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT76

    public final void mT76()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT77

    public final void mT77()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT78

    public final void mT78()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT79

    public final void mT79()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT80

    public final void mT80()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT81

    public final void mT81()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT82

    public final void mT82()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT83

    public final void mT83()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT84

    public final void mT84()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT85

    public final void mT85()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT86

    public final void mT86()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT87

    public final void mT87()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT88

    public final void mT88()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT89

    public final void mT89()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT90

    public final void mT90()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT91

    public final void mT91()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT92

    public final void mT92()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT93

    public final void mT93()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT94

    public final void mT94()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT95

    public final void mT95()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT96

    public final void mT96()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT97

    public final void mT97()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT98

    public final void mT98()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT99

    public final void mT99()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mNL

    public final void mNL()
                   throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mWS

    public final void mWS()
                   throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mDIGIT

    public final void mDIGIT()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mALPHA

    public final void mALPHA()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mSNAME

    public final void mSNAME()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mNAME

    public final void mNAME()
                     throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mINT

    public final void mINT()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mFLOAT

    public final void mFLOAT()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mESC

    public final void mESC()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mLSQUARE

    public final void mLSQUARE()
                        throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRSQUARE

    public final void mRSQUARE()
                        throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mEXCL

    public final void mEXCL()
                     throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mCOMA

    public final void mCOMA()
                     throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mLPAREN

    public final void mLPAREN()
                       throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRPAREN

    public final void mRPAREN()
                       throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mLCURLY

    public final void mLCURLY()
                       throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRCURLY

    public final void mRCURLY()
                       throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mSEMI

    public final void mSEMI()
                     throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mCOLON

    public final void mCOLON()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mPIPE

    public final void mPIPE()
                     throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mSHARP

    public final void mSHARP()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mQMARK

    public final void mQMARK()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mAROBAS

    public final void mAROBAS()
                       throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mPOINT

    public final void mPOINT()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRARROW

    public final void mRARROW()
                       throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mMINUS

    public final void mMINUS()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mSTAR

    public final void mSTAR()
                     throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mSLASH

    public final void mSLASH()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mPLUS

    public final void mPLUS()
                     throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mEQ

    public final void mEQ()
                   throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mGT

    public final void mGT()
                   throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mLT

    public final void mLT()
                   throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mGE

    public final void mGE()
                   throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mLE

    public final void mLE()
                   throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mNE

    public final void mNE()
                   throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mLARROW

    public final void mLARROW()
                       throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mASSIGNARROW

    public final void mASSIGNARROW()
                            throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mCOMMENT

    public final void mCOMMENT()
                        throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mSTRING

    public final void mSTRING()
                       throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mTokens

    public void mTokens()
                 throws org.antlr.runtime.RecognitionException

  Specified by:
    `mTokens` in class `org.antlr.runtime.Lexer`
  Throws:
    `org.antlr.runtime.RecognitionException`

### synpred1_fragment

    public final void synpred1_fragment()
                                 throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### synpred1

    public final boolean synpred1()

Copyright 2007 IBM Corporation and others. All Rights Reserved.